# $Revision: 1.31 $, $Date: 2011/03/30 19:45:30 $
%include	/usr/lib/rpm/macros.perl
Summary:	SVK - a decentralized version control system
Summary(pl.UTF-8):	SVK - zdecentralizowany system kontroli wersji
Name:		svk
Version:	2.2.3
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Version Control
# Check updates from CPAN: http://search.cpan.org/~clkao/SVK-v2.2.3/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/SVK-v%{version}.tar.gz
# Source0-md5:	86ad8796345400b7b0338dab7a4ca977
URL:		http://svk.bestpractical.com/
BuildRequires:	perl(File::Spec) >= 3.19
BuildRequires:	perl-Algorithm-Annotate
BuildRequires:	perl-Algorithm-Diff >= 1.1902
BuildRequires:	perl-App-CLI
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-Class-Autouse >= 1.15
BuildRequires:	perl-Class-Data-Inheritable >= 0.04
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Data-Hierarchy >= 0.17
BuildRequires:	perl-File-Temp >= 0.17
BuildRequires:	perl-FreezeThaw
BuildRequires:	perl-IO-Digest
BuildRequires:	perl-IO-Pager
BuildRequires:	perl-List-MoreUtils >= 0.17
BuildRequires:	perl-Locale-Maketext-Lexicon >= 1:0.62
BuildRequires:	perl-Locale-Maketext-Simple >= 0.16
BuildRequires:	perl-Log-Log4perl >= 1.10
BuildRequires:	perl-Path-Class >= 0.16
BuildRequires:	perl-PathTools >= 3.18
BuildRequires:	perl-PerlIO-eol >= 0.13
BuildRequires:	perl-PerlIO-gzip
BuildRequires:	perl-PerlIO-via-Bzip2
BuildRequires:	perl-PerlIO-via-dynamic >= 0.11
BuildRequires:	perl-PerlIO-via-symlink
BuildRequires:	perl-Pod-Escapes
BuildRequires:	perl-Pod-Simple
BuildRequires:	perl-SVN-Dump >= 0.04
BuildRequires:	perl-SVN-Mirror >= 0.66
BuildRequires:	perl-SVN-Simple >= 0.27
BuildRequires:	perl-Term-ReadKey
BuildRequires:	perl-Time-Progress
BuildRequires:	perl-UNIVERSAL-require >= 0.10
BuildRequires:	perl-YAML-Syck >= 0.64
BuildRequires:	perl-devel >= 1:5.8.4
BuildRequires:	perl-subversion >= 1.0.3
BuildRequires:	perl-version >= 0.68
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-App-CLI
Requires:	perl-Class-Accessor
Requires:	perl-Class-Data-Inheritable
Requires:	perl-SVK = %{version}-%{release}
Requires:	perl-Term-ReadKey
Requires:	perl-Time-Progress
Suggests:	perl-SVN-Mirror
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(SVK::.*)

%description
svk is a decentralized version control system. While Subversion (svn)
aims to take over the CVS user base, svk attempts to take over the
user base of the other version control systems, including people who
have already switched to another version control system, as well as
people who have not yet started using a version control system. It is
written in Perl and uses Subversion's underlying filesystem.

%description -l pl.UTF-8
svk to zdecentralizowany system kontroli wersji. O ile celem
Subversion (svn) jest przejęcie użytkowników CVS, svk próbuje przejąć
użytkowników innych systemów kontroli wersji, włączając ludzi którzy
już przenieśli się na inny system kontroli wersji, a także ludzi,
którzy jeszcze nie zaczęli używać systemu kontroli wersji. Jest
napisany w Perlu i używa systemu plików Subversion.

%package -n perl-SVK
Summary:	SVK Perl modules
Summary(pl.UTF-8):	Moduły Perla SVK
Group:		Development/Languages/Perl

%description -n perl-SVK
SVK Perl modules.

%description -n perl-SVK -l pl.UTF-8
Moduły Perla SVK.

%prep
%setup -q -n SVK-v%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/SVK/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/svk
%{_mandir}/man1/svk.1p*

%files -n perl-SVK
%defattr(644,root,root,755)
%{perl_vendorlib}/SVK
%{perl_vendorlib}/SVK.pm
%{_mandir}/man3/SVK*.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: svk.spec,v $
Revision 1.31  2011/03/30 19:45:30  glen
- R: perl-Time-Progress

Revision 1.30  2010/10/29 16:32:50  glen
- cleanup superfluous deps

Revision 1.29  2010/10/29 16:28:20  glen
- required deps for testing

Revision 1.28  2010/10/29 10:39:50  glen
- up to 2.2.3

Revision 1.27  2010/10/29 09:34:19  glen
- some missing deps, suggests perl-SVN-Mirror
- verbose files, check-files cleanup
- rel 2

Revision 1.26  2009/04/30 17:53:49  areq
- 2.2.1

Revision 1.25  2008/07/03 12:03:05  zbyniu
- R: perl-App-CLI,Class-Accessor,Class-Data-Inheritable,Term-ReadKey; rel 0.2

Revision 1.24  2007-11-01 21:04:10  arekm
- perl/swig segfaults on initial Makefile build

Revision 1.23  2007/04/08 21:46:55  wrobell
- fixed build and install requirements

Revision 1.22  2007/04/01 01:20:08  arekm
- up to 2.0.1

Revision 1.21  2007/03/26 14:24:23  radek
- release 2

Revision 1.20  2007/03/19 22:22:33  radek
- updated deps, noautoreq perl(SVK.*)

Revision 1.19  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.17  2007/01/05 17:38:12  wrobell
- ver. 2.0.0
- URL of svk has changed (bestpractical move)
- nfy (some perl modules missing App::CLI, File::Temp and File::Spec)

Revision 1.16  2006/08/07 14:59:01  qboosh
- pl for perl-

Revision 1.15  2006/08/01 14:02:08  wrobell
- added perl-SVK subpackage
- rel. 1

Revision 1.14  2006/07/28 09:17:59  wrobell
- ver. 1.08

Revision 1.13  2006/02/01 00:05:25  glen
- 1.05, ps that blocker link is 404

Revision 1.12  2005/08/19 19:37:52  arekm
- req SVN-Mirror 0.66

Revision 1.11  2005/08/19 16:38:51  twittner
- added blockade
  http://lists.pld-linux.org/mailman/pipermail/pld-devel-pl/2005-August/130035.html

Revision 1.10  2005/08/19 11:25:10  arekm
- up to 1.03

Revision 1.9  2005/05/17 17:29:24  ankry
- more BRs, rel. 2

Revision 1.8  2005/05/11 21:46:36  pawelk
- ver 1.00

Revision 1.7  2005/04/07 19:45:37  arekm
- up to 0.991

Revision 1.6  2004/11/20 09:05:52  aredridel
- BR: perl-Compress-Zlib

Revision 1.5  2004/10/31 15:32:13  paladine
- spaces->tabs

Revision 1.4  2004/09/01 11:33:52  arekm
- updated to 0.19

Revision 1.3  2004/06/13 21:32:44  arekm
- updated to 0.15

Revision 1.2  2004/05/21 18:38:32  qboosh
- proper Summary, pl, sorted BRs

Revision 1.1  2004/05/21 03:37:18  arekm
- initial pld release
